ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIContactsUpdate Contact

Update Contact

Updates an existing contact identified by phone number. Merges provided fields with existing data.

POST/api/v1/contact/update/{phone}

Recommendation

Only fields you want to change need to be provided. Existing attributes are merged — not replaced.

Body Parameters

1 parameter
{phone}stringrequired

Phone number in path (e.g. +919000000000).

Request Body Schema

application/json
phonestringrequired

Phone number of the contact to update (with country code)

Example:+919000000000
first_namestringoptional

Updated first name

Example:Mary
last_namestringoptional

Updated last name

Example:Johnson
attributesobjectoptional

Custom key-value properties to merge (JSON object)

Example:{"city": "Boston", "tier": "premium"}

Response Payload

200 OKapplication/json
successbooleanrequired

Whether request succeeded

data.contact.iduuidrequired

Contact UUID

data.contact.phone_numberstringrequired

Phone number

data.contact.updated_atdatetimerequired

Last updated timestamp

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/v1/contact/update/+919000000000" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"first_name":"Mary","attributes":{"city":"Boston"}}'

Was this endpoint guide helpful?

Previous Endpoint
Create Contact
Next Endpoint
Upsert Contact by Phone
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/v1/contact/update/+919000000000" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"first_name":"Mary","attributes":{"city":"Boston"}}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "contact": {
5 "id": "d9b23f28-0db4-4054-9720-6d4b97ce26bb",
6 "phone_number": "919000000000",
7 "first_name": "Mary",
8 "last_name": null,
9 "attributes": {
10 "city": "Boston"
11 },
12 "updated_at": "2026-06-06T17:35:00+05:30"
13 }
14 },
15 "message": "Contact updated successfully"
16}